All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals.dataselectors.propertyeditor
Interface PropertyValueInterface

    @SASScope(value="ALL")
    public interface PropertyValueInterface

Method Summary
`abstract boolean` | `equals(PropertyValueInterface dvi, java.util.Locale locale)` Returns a boolean indicating whether the PropertyValueInterface objects are "equal".
`abstract java.lang.String` | `getFormattedValue()` Returns the formatted value
`abstract java.lang.String` | `getFormattedValue(java.util.Locale locale)` Returns the formatted value for the specified locale, locale
`abstract java.lang.Object` | `getUnformattedValue()` Returns the unformatted value

Method Detail

### getFormattedValue

    java.lang.String getFormattedValue()

  Returns the formatted value

  Returns:
    formatted value

### getFormattedValue

    java.lang.String getFormattedValue(java.util.Locale locale)

  Returns the formatted value for the specified locale, locale

  Parameters:
    `locale` - locale associated with the formatted value
  Returns:
    formatted value for the specified locale

### getUnformattedValue

    java.lang.Object getUnformattedValue()

  Returns the unformatted value

  Returns:
    unformatted value

### equals

    boolean equals(PropertyValueInterface dvi,
                   java.util.Locale locale)

  Returns a boolean indicating whether the PropertyValueInterface objects are "equal". The PropertyValueInterface objects are considered equal if the formatted and unformatted value are the same.

  Parameters:
    `dvi` - the PropertyValueInterface object to compare
    `locale` - locale associated with the PropertyValueInterface object
  Returns:
    true if the PropertyValueInterface objects have the same attributes, false otherwise

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.